﻿@{
    ViewData["Nombre_tabla"] = "Parametrizacion equipo";
    ViewData["lugar"] = "Parametrizacion equipo";

    Layout = "_index"; }






@model IEnumerable<Generic_appWeb.Models.Parametrizacion_equipo>




<div class="content-header">
    <div class="container-fluid">
        <div class="row mb-2">

            <div class="col-sm-6">
                <ol class="breadcrumb float-sm-left">
                    <li class="breadcrumb-item"><a href="#">Home</a></li>
                    <li class="breadcrumb-item active">Dashboard v1</li><!--AQUI VA EL LUGAR DONDE ESTAS -->
                </ol>
            </div>
        </div>
    </div>
</div>






<div class="container-fluid">

    <div class="row">
        <div class="col-6">
            <div class="card">
                <div class="card-header bg-primary">
                    <h3 class="card-title">Inventario equipos</h3>

                    <div class="card-tools">
                        <div class="input-group input-group-sm" style="width: 150px;">
                            <input type="text" name="table_search" class="form-control float-right" placeholder="Search">

                            <div class="input-group-append">
                                <button type="submit" class="btn btn-default"><i class="fas fa-search"></i></button>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- /.card-header -->
                <div class="card-body table-responsive p-0">
                    <table id="estructura" class="table table-head-fixed text-nowrap table-sm">
                        <thead>


                            <tr>
                                <th>ICONO</th>
                                <th>BLQ.</th>
                                <th>COD.</th>
                                <th>EQ.</th>
                                <th>G.R</th>



                                <th>0</th>
                                <th>1</th>
                                <th>2</th>
                                <th>3</th>
                                <th>4</th>

                                <th>G.V</th>
                                <th>PADRE</th>
                                <th>SEC.</th>

                            </tr>



                        </thead>


                        <tbody>



                            @foreach (var item in Model)
                            {





                            <tr>

                                <td>

                                    <img src=@Html.DisplayFor(modelItem => item.eq_ruta) width="50" height="50" >
                                </td>


                                <td>
                                    @Html.DisplayFor(modelItem => item.Bloque_riego.BRi_descripcion_corta)
                                </td>


                                <td>
                                    @Html.DisplayFor(modelItem => item.Equipo.Eq_codigo_empresa)
                                </td>

                                <td>
                                    @Html.DisplayFor(modelItem => item.Equipo.Eq_descripcion_corta)
                                </td>
                                <td>
                                    @Html.DisplayFor(modelItem => item.Grupo_riego.Gr_descripcion_corta)
                                </td>


                                <td hidden>
                                    @Html.DisplayFor(modelItem => item.eq_hexadecimal)
                                </td>

                                <td hidden>
                                    @Html.DisplayFor(modelItem => item.Nivel_riego.Nr_secuencia)
                                </td>


                                <td>
                                </td>

                                <td>
                                </td>

                                <td>
                                </td>

                                <td>
                                </td>

                                <td>
                                </td>

                              

                                <td>
                                    @Html.DisplayFor(modelItem => item.Grupo_Valvula.Gv_descripcion_corta)
                                </td>

                                <td>
                                    @Html.DisplayFor(modelItem => item.PEq_padre)
                                </td>


                                <td>
                                    @Html.DisplayFor(modelItem => item.PEq_secuencia)
                                </td>


                            </tr>
                        }












                            </tbody>

                        </table>
                   
                    <p id="demo1"></p>
                    <p id="demo2"></p>
                </div>

            </div>

        </div>

    </div>
</div>



@section Scripts
    {


    <script>

        function load() {


           
            var a = document.getElementById("estructura").rows.length;

           
           

            for (var j = 1; j < a; j++) {

                var c = document.getElementById("estructura").rows[j].cells[5].innerHTML;
                var x = document.getElementById("estructura").rows[j].cells[6].innerHTML;
                //document.getElementById("demo1").innerHTML = x;
                
                
                var contrim = c.trim();
                
                if (x == 1) {

                    var h = document.getElementById("estructura").rows[j].cells[7].style.background = contrim;

                }
                else if (x == 2) {
                    var x = document.getElementById("estructura").rows[j].cells[8].style.background = contrim;

                }
                else if (x == 3) {
                    var h = document.getElementById("estructura").rows[j].cells[9].style.background = contrim;

                }
                else if (x == 4) {
                    var h = document.getElementById("estructura").rows[j].cells[10].style.background = contrim;
                }
                else if (x == 5) {
                    var h = document.getElementById("estructura").rows[j].cells[11].style.background = contrim;
                }


            }

        }
        window.onload = load;
    </script>















}
